<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

<!--  (c) 2008 Varsity Gateway LLC.  All rights reserved. -->
<plugin id="com.metamatrix.modeler.compare.ui" name="%pluginName" version="5.5.4" provider-name="%providerName" class="com.metamatrix.modeler.compare.ui.UiPlugin">

   <runtime>
      <library name="modelerCompareUi_PATCH.jar">
         <export name="*"/>
      </library>
<library name="modelerCompareUi.jar">
         <export name="*"/>
      </library>
   </runtime>
   <requires>
      <import plugin="org.eclipse.ui.ide"/>
      <import plugin="org.eclipse.ui.views"/>
      <import plugin="org.eclipse.jface.text"/>
      <import plugin="org.eclipse.ui.workbench.texteditor"/>
      <import plugin="org.eclipse.ui.editors"/>
      <import plugin="org.eclipse.jface"/>
      <import plugin="com.metamatrix.modeler.compare"/>
      <import plugin="com.metamatrix.ui"/>
      <import plugin="com.metamatrix.modeler.ui"/>
      <import plugin="org.eclipse.ui"/>
      <import plugin="com.metamatrix.modeler.core"/>
      <import plugin="com.metamatrix.metamodels.core"/>
      <import plugin="org.eclipse.compare"/>
   </requires>
   
   <extension point="org.eclipse.compare.contentMergeViewers">
   		<viewer id="com.metamatrix.modeler.compare.ui.structure.ModelObjectStructureViewer" extensions="xmi,xsd,vdb" class="com.metamatrix.modeler.compare.ui.structure.ModelObjectStructureViewerCreator">
		</viewer>
   </extension>

</plugin>
